<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="boolean_f2c"
	ProjectGUID="{45ECEB36-A12B-42F5-9D7A-216A0E70601D}"
	RootNamespace="boolean_f2c"
	Keyword="Win32Proj"
	
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
		<ToolFile
			RelativePath="..\..\..\..\Visual-Studio-settings\f2c.rules"
		/>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			>
			<Tool
				Name="f2c rule"
				ExecutionBucket="1"
			/>
			<Tool
				Name="VCPreBuildEventTool"
				ExecutionBucket="2"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
				ExecutionBucket="4"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				ExecutionBucket="5"
			/>
			<Tool
				Name="VCCLCompilerTool"
				ExecutionBucket="6"
				Optimization="0"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
				MinimalRebuild="true"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
				ExecutionBucket="7"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				ExecutionBucket="8"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				ExecutionBucket="9"
			/>
			<Tool
				Name="VCLibrarianTool"
				ExecutionBucket="10"
				OutputFile="../../../../libs/boolean_f.lib"
			/>
			<Tool
				Name="VCALinkTool"
				ExecutionBucket="11"
			/>
			<Tool
				Name="VCXDCMakeTool"
				ExecutionBucket="12"
			/>
			<Tool
				Name="VCBscMakeTool"
				ExecutionBucket="13"
			/>
			<Tool
				Name="VCFxCopTool"
				ExecutionBucket="14"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="Build Scicos_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n scilex.dll %%f &gt;nul&#x0D;&#x0A;copy *.def boolean_f.def &gt;nul&#x0D;&#x0A;copy boolean_f.def ..\..\..\..\..\libs\boolean_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;"
				ExecutionBucket="15"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="f2c rule"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
				MinimalRebuild="true"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/boolean_f.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="Build Scicos_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n scilex.dll %%f &gt;nul&#x0D;&#x0A;copy *.def boolean_f.def &gt;nul&#x0D;&#x0A;copy boolean_f.def ..\..\..\..\..\libs\boolean_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="f2c rule"
				ExecutionBucket="1"
			/>
			<Tool
				Name="VCPreBuildEventTool"
				ExecutionBucket="2"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
				ExecutionBucket="4"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				ExecutionBucket="5"
			/>
			<Tool
				Name="VCCLCompilerTool"
				ExecutionBucket="6"
				WholeProgramOptimization="false"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
				ExecutionBucket="7"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				ExecutionBucket="8"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				ExecutionBucket="9"
			/>
			<Tool
				Name="VCLibrarianTool"
				ExecutionBucket="10"
				OutputFile="../../../../libs/boolean_f.lib"
			/>
			<Tool
				Name="VCALinkTool"
				ExecutionBucket="11"
			/>
			<Tool
				Name="VCXDCMakeTool"
				ExecutionBucket="12"
			/>
			<Tool
				Name="VCBscMakeTool"
				ExecutionBucket="13"
			/>
			<Tool
				Name="VCFxCopTool"
				ExecutionBucket="14"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="Build Scicos_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n scilex.dll %%f &gt;nul&#x0D;&#x0A;copy *.def boolean_f.def &gt;nul&#x0D;&#x0A;copy boolean_f.def ..\..\..\..\..\libs\boolean_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;"
				ExecutionBucket="15"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="f2c rule"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				WholeProgramOptimization="false"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/boolean_f.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="Build Scicos_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n scilex.dll %%f &gt;nul&#x0D;&#x0A;copy *.def boolean_f.def &gt;nul&#x0D;&#x0A;copy boolean_f.def ..\..\..\..\..\libs\boolean_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\find.c"
				>
			</File>
			<File
				RelativePath=".\logic.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\fortran\sci_bool2s.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\fortran\sci_find.c"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="Fortran Files"
			>
			<File
				RelativePath=".\find.f"
				>
			</File>
			<File
				RelativePath=".\logic.f"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\fortran\sci_bool2s.f"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\fortran\sci_find.f"
				>
			</File>
		</Filter>
		<File
			RelativePath="..\..\sci_gateway\boolean_gateway.xml"
			>
		</File>
		<File
			RelativePath="..\..\..\..\bin\libf2c.lib"
			>
		</File>
		<File
			RelativePath="..\..\Makefile.am"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
